import 'dart:io';

import 'package:flutter/foundation.dart';

final class BuildConfig{
  BuildConfig._();

  static bool get isDebug => kDebugMode;


}


final class BuglyConfig {
  BuglyConfig._();

  static const String buglyAndroidAppId = "0801c48428";
  static const String buglyIosAppId = "a9232adcaa";
}


final class UmengConfig {
  UmengConfig._();

  //友盟统计配置
  static const umengAndroidAppKey = "680dcdadbc47b67d834e37bb";
  static const umengIosAppKey = "680dcf8479267e02104bfa01";

  static String get umengAppKey {
    if (Platform.isAndroid) {
      return umengAndroidAppKey;
    } else if (Platform.isIOS) {
      return umengIosAppKey;
    } else {
      return '';
    }
  }
}

final class GravityConfig {
  GravityConfig._();

  //引力引擎配置
  static const gravityAndroidAppId = "";
  static const gravityAndroidAccessToken = "YesJRruqje8xzgm5HuOK7AhXwEznTfBV";

  static const gravityIosAppId = "";
  static const gravityIosAccessToken = "ulA57gz2zpioGukhyiQFkTEjfKS1aPxw";

  static String get gravityAppId {
    if (Platform.isAndroid) {
      return gravityAndroidAppId;
    } else if (Platform.isIOS) {
      return gravityIosAppId;
    } else {
      return '';
    }
  }

  static String get gravityAccessToken {
    if (Platform.isAndroid) {
      return gravityAndroidAccessToken;
    } else if (Platform.isIOS) {
      return gravityIosAccessToken;
    } else {
      return '';
    }
  }
}